#
# spec file for package xmahjong (Version 2001.6.20)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmahjong
Copyright:    Jeff S. Young
Group:        X11/Games/Strategy
Provides:     xmahjong 
Autoreqprov:  on
Version:      2001.6.20
Release:      4
Summary:      Mahjongg for X
Source: xmahjong.tar.gz
Patch: xmahjong.dif

%description
Mahjongg is a challenging chinese game similar to domino. It is
usually played by four players.
Xmahjongg is the solitair version designed for the X-Window System.
More can be found in the appropriate manual page.

Authors:
--------
    Jeff S. Young <jsy@cray.com>

SuSE series: fun

%prep
%setup -n xmahjong
%patch

%build
xmkmf -a
rm -f xmahjongg.man; ln -sf xmahjongg.6 xmahjongg.man
make LIBDIR=/usr/X11R6/lib/X11

%install
make install install.man LIBDIR=/usr/X11R6/lib/X11
gzip -9 -f /usr/X11R6/man/man1/xmahjongg.1x

%files
%doc copyright readme.1 readme.2
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/fonts/misc
%dir /usr/X11R6/lib/X11/xmahjongg
/usr/X11R6/bin/xmahjongg
/usr/X11R6/lib/X11/fonts/misc/xmahjongg.pcf.gz
/usr/X11R6/lib/X11/xmahjongg/bridge
/usr/X11R6/lib/X11/xmahjongg/default
/usr/X11R6/lib/X11/xmahjongg/wedges
%doc /usr/X11R6/man/man1/xmahjongg.1x.gz

%changelog -n xmahjong
* Wed Jun 20 2001 - ro@suse.de
- fix to build
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon Jun 05 2000 - ro@suse.de
- specfile cleanup , doc relocation
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 24 1998 - ro@suse.de
- fixed arguments for bind, connnect in initial.c
* Wed May 14 1997 - werner@suse.de
- Move documentation to /usr/doc/packages/xmahjong
